OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.Selection

Description

This module corresponds to section 5.2 (Selection) of the OpenGL 2.1 specs.

# Documentation

data HitRecord

Constructors

HitRecord GLfloat GLfloat [Name] |

Instances

Eq HitRecord |
Ord HitRecord |
Show HitRecord |

getHitRecords :: GLsizei -> IO a -> IO (a, Maybe [HitRecord])

newtype Name

Constructors

Name GLuint |

Instances

Eq Name |
Ord Name |
Show Name |

withName :: Name -> IO a -> IO a

loadName :: Name -> IO ()

maxNameStackDepth :: GettableStateVar GLsizei

nameStackDepth :: GettableStateVar GLsizei

data RenderMode

Constructors

Render |
Feedback |
Select |

Instances

Eq RenderMode |
Ord RenderMode |
Show RenderMode |

renderMode :: GettableStateVar RenderMode